field.formatter.settings.smart_trim:
  type: mapping
  label: 'Smart trim formatter settings'
  mapping:
    trim_length:
      type: integer
      label: 'Trim length'
    trim_type:
      type: string
      label: 'Trim units'
    trim_suffix:
      type: string
      label: 'Suffix'
    wrap_output:
      type: boolean
      label: 'Wrap trimmed content'
    wrap_class:
      type: string
      label: 'Wrapped content class'
    more:
      type: mapping
      label: 'More link configuration'
      mapping:
        display_link:
          type: boolean
          label: 'Display more link'
        target_blank:
          type: boolean
          label: 'Open link in new window'
        link_trim_only:
          type: boolean
          label: 'More link only when content is trimmed'
        class:
          type: string
          label: 'More link class'
        text:
          type: string
          label: 'More link text'
        aria_label:
          type: string
          label: 'More link aria-label value'
    summary_handler:
      type: string
      label: 'Summary handler'
    trim_options:
      type: mapping
      label: 'Additional options'
      mapping:
        text:
          type: boolean
          label: 'Strip HTML'
        trim_zero:
          type: boolean
          label: 'Honor a zero trim length'
        replace_tokens:
          type: boolean
          label: 'Replace tokens before trimming'
